Security Enhanced Linux Reference Policy

# Layer: admin

## Module: certwatch

Interfaces

### Description:

Digital Certificate Tracking

### Interfaces:

certwatach_run( domain , role , terminal )

##### Summary

Execute certwatch in the certwatch domain, and allow the specified role the certwatch domain, and use the caller's terminal. Has a sigchld backchannel. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.
role | The role to be allowed the certwatch domain.
terminal | The type of the terminal allow the certwatch domain to use.

certwatch_domtrans( domain )

##### Summary

Domain transition to certwatch.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

certwatch_run( domain , role )

##### Summary

Execute certwatch in the certwatch domain, and allow the specified role the certwatch domain, and use the caller's terminal. Has a sigchld backchannel.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.
role | The role to be allowed the certwatch domain.

Return